from pydantic import BaseModel, Field
from typing import Optional


class SubjectUpdateRequest(BaseModel):
    name: Optional[str] = Field(None, example="Fisika")
    description: Optional[str] = Field(None, example="Pelajaran tentang hukum alam")
